import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import PortalView from '../views/PortalView.vue'
import UserStoryChatView from '../views/UserStoryChatView.vue'
import LoginView from '../views/LoginView.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: HomeView
  },
  {
    path: '/portal',
    name: 'Portal',
    component: PortalView
  },
  {
    path: '/login',
    name: 'Login',
    component: LoginView
  },
  {
    path: '/user-story-chat',
    name: 'UserStoryChat',
    component: UserStoryChatView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
